#extension GL_OES_EGL_image_external : require
precision mediump float;
uniform samplerExternalOES sTextureMask;
varying vec2 vTextureCoordMask;
void main() {
    vec4 mask = texture2D(sTextureMask, vTextureCoordMask);
    float alpha = 0.5;
    float delta1 = abs(mask.r - mask.g);
    float delta2 = abs(mask.r - mask.b);
    if (delta1 <0.007 && delta2<0.007 && mask.r<0.007)
    {
        alpha = 0.5;
    } else
    {
        alpha =0.5;
    }
    gl_FragColor = vec4(mask.rgb, alpha);
}