#extension GL_OES_EGL_image_external : require
 precision highp float;
 varying highp vec2 vTextureCoord0;
 varying highp vec2 vTextureCoord;
 uniform samplerExternalOES frontImage;
 uniform samplerExternalOES maskImage;
void main( void ){
    vec4 front = texture2D( frontImage, vTextureCoord );
    vec4 mask = texture2D( maskImage, vTextureCoord0 );
    float alpha = (mask.r + mask.g + mask.b)/3.0;
    gl_FragColor = vec4(front.rgb, alpha);
}