attribute vec4 pos;
attribute vec4 tCoordinate;
uniform mat4 model;
uniform mat4 view;
uniform mat4 project;
uniform mat4 tMat;
varying vec3 vCoordinate;
varying vec3 vFragPos;
void main() {
    gl_Position = project * view * model * pos;
    vFragPos = vec3(model * pos);
    vCoordinate = (tMat * tCoordinate).xyz;

}//@@
    #extension GL_OES_EGL_image_external : require
precision mediump float;
varying vec3 vCoordinate;
varying vec3 vFragPos;
uniform sampler2D texture2d;
uniform float alpha;
uniform sampler2D mask;
uniform int maskType;
uniform vec4 color;
void main() {
    vec4 img;
    img = texture2D(texture2d, vCoordinate.xy);
    if (maskType == 1){
        vec4 mask_color = texture2D(mask, vCoordinate.xy);
        gl_FragColor.a = mask_color.a * alpha;
    }else{
        gl_FragColor.rgb = color.rgb * img.rgb;
        gl_FragColor.a = img.a * alpha;
    }
}



