#extension GL_OES_EGL_image_external : require
precision mediump float;
uniform sampler2D inputImageTexture;
const lowp int GAUSSIAN_SAMPLES = 25;
varying highp vec2 textureCoordinate;
varying highp vec2 blurCoordinates[GAUSSIAN_SAMPLES];

                     
void main() {
    lowp vec3 sum = vec3(0.0);
    lowp vec3 sumY = vec3(0.0);
    lowp vec4 fragColor=texture2D(inputImageTexture,textureCoordinate);
                    	 
    sum += texture2D(inputImageTexture, blurCoordinates[0]).rgb * 1.0;
    sum += texture2D(inputImageTexture, blurCoordinates[1]).rgb * 4.0;
    sum += texture2D(inputImageTexture, blurCoordinates[2]).rgb * 7.0;
    sum += texture2D(inputImageTexture, blurCoordinates[3]).rgb * 4.0;
    sum += texture2D(inputImageTexture, blurCoordinates[4]).rgb * 1.0;

    sum += texture2D(inputImageTexture, blurCoordinates[5]).rgb * 4.0;
    sum += texture2D(inputImageTexture, blurCoordinates[6]).rgb * 16.0;
    sum += texture2D(inputImageTexture, blurCoordinates[7]).rgb * 26.0;
    sum += texture2D(inputImageTexture, blurCoordinates[8]).rgb * 16.0;
    sum += texture2D(inputImageTexture, blurCoordinates[9]).rgb * 4.0;


    sum += texture2D(inputImageTexture, blurCoordinates[10]).rgb * 7.0;
    sum += texture2D(inputImageTexture, blurCoordinates[11]).rgb * 26.0;
    sum += texture2D(inputImageTexture, blurCoordinates[12]).rgb * 41.0;
    sum += texture2D(inputImageTexture, blurCoordinates[13]).rgb * 26.0;
    sum += texture2D(inputImageTexture, blurCoordinates[14]).rgb * 7.0;


    sum += texture2D(inputImageTexture, blurCoordinates[15]).rgb * 4.0;
    sum += texture2D(inputImageTexture, blurCoordinates[16]).rgb * 16.0;
    sum += texture2D(inputImageTexture, blurCoordinates[17]).rgb * 26.0;
    sum += texture2D(inputImageTexture, blurCoordinates[18]).rgb * 16.0;
    sum += texture2D(inputImageTexture, blurCoordinates[19]).rgb * 4.0;


    sum += texture2D(inputImageTexture, blurCoordinates[20]).rgb * 1.0;
    sum += texture2D(inputImageTexture, blurCoordinates[21]).rgb * 4.0;
    sum += texture2D(inputImageTexture, blurCoordinates[22]).rgb * 7.0;
    sum += texture2D(inputImageTexture, blurCoordinates[23]).rgb * 4.0;
    sum += texture2D(inputImageTexture, blurCoordinates[24]).rgb * 1.0;


    if(textureCoordinate.y<1.0){
        gl_FragColor = vec4(sum.rgb/273.0,fragColor.a);
    }else{
        gl_FragColor = vec4(fragColor.rgb,fragColor.a);
    }
}