#extension GL_OES_EGL_image_external:require
precision mediump float;
varying vec2 textureCoordinate;
varying vec2 textureCoordinate2;
uniform samplerExternalOES inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform float filterRatio;

void main() {
    vec4 dstColor = texture2D(inputImageTexture, textureCoordinate);
    vec4 blendColor = texture2D(inputImageTexture2, textureCoordinate2);
    gl_FragColor.rgb = mix(dstColor.rgb, blendColor.rgb, filterRatio);
    gl_FragColor.a =1.0;
 }
